<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" th:href="@{/styles.css}">
    <title th:text="#{title}">Thymeleaf Demo</title>
</head>
<body>

<section th:replace="~{fragments/common :: header}">
    <p>This is sample header</p>
</section>

<h1>Form</h1>
<p th:if="${success}">Todo created successfully!</p>
<form th:object="${todo}" th:action="@{/todo}" th:method="post">
    <div>
        <label for="title">Title</label>
        <input type="text" id="title" th:field="*{title}">
        <div th:if="${#fields.hasErrors('title')}" th:errors="*{title}"></div>
    </div>
    <div>
        <label for="dueDate">Due date</label>
        <input type="datetime-local" id="dueDate" th:field="*{dueDate}">
        <div th:if="${#fields.hasErrors('dueDate')}" th:errors="*{dueDate}"></div>
    </div>
    <div>
        <button type="submit">Submit</button>
    </div>
</form>

<section th:replace="~{fragments/common :: footer}">
    <p>This is sample header</p>
</section>

</body>
</html>
